
QGIS Application - Bug report #17942

Crash in 3D-view

2018-01-24 08:47 AM - Lars Stange Jensen

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Win 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 25838

Description

User Feedback

Report Details

Crash ID: 5bf10352ae4074da4522f52a411c22f3b5784af7

Stack Trace

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :

Qt3DRender::Render::Renderer::doRender :

Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::NodeManagers::renderTargetManager :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:aaf97933c2

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 17416: Crash on enabling 3D render... Open 2017-11-07

History

#1 - 2018-01-26 02:18 PM - Martin Dobias

- Duplicates Bug report #17416: Crash on enabling 3D renderer for point layer added
#2 - 2018-01-26 02:20 PM - Martin Dobias

- Resolution set to duplicate

- Status changed from Open to Closed

The stack trace looks nearly identical to #17416 so I believe it is the same issue - closing this one as a duplicate.
